org.h2.command.dml

## Class SetTypes

- java.lang.Object
- - org.h2.command.dml.SetTypes

    public class SetTypes
    extends java.lang.Object

The list of setting for a SET statement.

### Field Summary

Fields
`static int` `ALLOW_LITERALS` The type of a SET ALLOW_LITERALS statement.
`static int` `AUTHENTICATOR` The type of a SET AUTHENTICATOR statement.
`static int` `BUILTIN_ALIAS_OVERRIDE` The type of SET BUILTIN_ALIAS_OVERRIDE statement.
`static int` `CACHE_SIZE` The type of a SET CACHE_SIZE statement.
`static int` `CATALOG` The type of a SET CATALOG statement.
`static int` `CLUSTER` The type of a SET CLUSTER statement.
`static int` `COLLATION` The type of a SET COLLATION statement.
`static int` `CREATE_BUILD` The type of a SET CREATE_BUILD statement.
`static int` `DATABASE_EVENT_LISTENER` The type of a SET DATABASE_EVENT_LISTENER statement.
`static int` `DB_CLOSE_DELAY` The type of a SET DB_CLOSE_DELAY statement.
`static int` `DEFAULT_LOCK_TIMEOUT` The type of a SET DEFAULT_LOCK_TIMEOUT statement.
`static int` `DEFAULT_NULL_ORDERING` The type of a SET DEFAULT_NULL_ORDERING statement.
`static int` `DEFAULT_TABLE_TYPE` The type of a SET DEFAULT_TABLE_TYPE statement.
`static int` `EXCLUSIVE` The type of a SET EXCLUSIVE statement.
`static int` `FORCE_JOIN_ORDER` The type of SET FORCE_JOIN_ORDER statement.
`static int` `IGNORE_CATALOGS` The type of a SET IGNORE_CATALOGS statement.
`static int` `IGNORECASE` The type of a SET IGNORECASE statement.
`static int` `JAVA_OBJECT_SERIALIZER` The type of a SET JAVA_OBJECT_SERIALIZER statement.
`static int` `LAZY_QUERY_EXECUTION` The type of SET LAZY_QUERY_EXECUTION statement.
`static int` `LOCK_MODE` The type of a SET LOCK_MODE statement.
`static int` `LOCK_TIMEOUT` The type of a SET LOCK_TIMEOUT statement.
`static int` `MAX_LENGTH_INPLACE_LOB` The type of a SET MAX_LENGTH_INPLACE_LOB statement.
`static int` `MAX_LOG_SIZE` The type of a SET MAX_LOG_SIZE statement.
`static int` `MAX_MEMORY_ROWS` The type of a SET MAX_MEMORY_ROWS statement.
`static int` `MAX_MEMORY_UNDO` The type of a SET MAX_MEMORY_UNDO statement.
`static int` `MAX_OPERATION_MEMORY` The type of a SET MAX_OPERATION_MEMORY statement.
`static int` `MODE` The type of a SET MODE statement.
`static int` `NON_KEYWORDS` The type of a SET NON_KEYWORDS statement.
`static int` `OPTIMIZE_REUSE_RESULTS` The type of a SET OPTIMIZE_REUSE_RESULTS statement.
`static int` `QUERY_STATISTICS` The type of a SET QUERY_STATISTICS statement.
`static int` `QUERY_STATISTICS_MAX_ENTRIES` The type of a SET QUERY_STATISTICS_MAX_ENTRIES statement.
`static int` `QUERY_TIMEOUT` The type of a SET QUERY_TIMEOUT statement.
`static int` `READONLY` The type of a SET READONLY statement.
`static int` `REDO_LOG_BINARY` The type of a SET REDO_LOG_BINARY statement.
`static int` `REFERENTIAL_INTEGRITY` The type of a SET REFERENTIAL_INTEGRITY statement.
`static int` `RETENTION_TIME` The type of a SET RETENTION_TIME statement.
`static int` `SCHEMA` The type of a SET SCHEMA statement.
`static int` `SCHEMA_SEARCH_PATH` The type of a SET SCHEMA_SEARCH_PATH statement.
`static int` `THROTTLE` The type of a SET THROTTLE statement.
`static int` `TIME_ZONE` The type of a SET TIME ZONE statement.
`static int` `TRACE_LEVEL_FILE` The type of a SET TRACE_LEVEL_FILE statement.
`static int` `TRACE_LEVEL_SYSTEM_OUT` The type of a SET TRACE_LEVEL_SYSTEM_OUT statement.
`static int` `TRACE_MAX_FILE_SIZE` The type of a SET TRACE_MAX_FILE_SIZE statement.
`static int` `TRUNCATE_LARGE_LENGTH` The type of a SET TRUNCATE_LARGE_LENGTH statement.
`static int` `VARIABLE` The type of a SET \@VARIABLE statement.
`static int` `VARIABLE_BINARY` The type of a SET VARIABLE_BINARY statement.
`static int` `WRITE_DELAY` The type of a SET WRITE_DELAY statement.

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getType(java.lang.String name)` Get the set type number.
`static java.lang.String` `getTypeName(int type)` Get the set type name.
`static java.util.ArrayList<java.lang.String>` `getTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IGNORECASE

    public static final int IGNORECASE

The type of a SET IGNORECASE statement.

See Also:
  Constant Field Values

#### MAX_LOG_SIZE

    public static final int MAX_LOG_SIZE

The type of a SET MAX_LOG_SIZE statement.

See Also:
  Constant Field Values

#### MODE

    public static final int MODE

The type of a SET MODE statement.

See Also:
  Constant Field Values

#### READONLY

    public static final int READONLY

The type of a SET READONLY statement.

See Also:
  Constant Field Values

#### LOCK_TIMEOUT

    public static final int LOCK_TIMEOUT

The type of a SET LOCK_TIMEOUT statement.

See Also:
  Constant Field Values

#### DEFAULT_LOCK_TIMEOUT

    public static final int DEFAULT_LOCK_TIMEOUT

The type of a SET DEFAULT_LOCK_TIMEOUT statement.

See Also:
  Constant Field Values

#### DEFAULT_TABLE_TYPE

    public static final int DEFAULT_TABLE_TYPE

The type of a SET DEFAULT_TABLE_TYPE statement.

See Also:
  Constant Field Values

#### CACHE_SIZE

    public static final int CACHE_SIZE

The type of a SET CACHE_SIZE statement.

See Also:
  Constant Field Values

#### TRACE_LEVEL_SYSTEM_OUT

    public static final int TRACE_LEVEL_SYSTEM_OUT

The type of a SET TRACE_LEVEL_SYSTEM_OUT statement.

See Also:
  Constant Field Values

#### TRACE_LEVEL_FILE

    public static final int TRACE_LEVEL_FILE

The type of a SET TRACE_LEVEL_FILE statement.

See Also:
  Constant Field Values

#### TRACE_MAX_FILE_SIZE

    public static final int TRACE_MAX_FILE_SIZE

The type of a SET TRACE_MAX_FILE_SIZE statement.

See Also:
  Constant Field Values

#### COLLATION

    public static final int COLLATION

The type of a SET COLLATION statement.

See Also:
  Constant Field Values

#### CLUSTER

    public static final int CLUSTER

The type of a SET CLUSTER statement.

See Also:
  Constant Field Values

#### WRITE_DELAY

    public static final int WRITE_DELAY

The type of a SET WRITE_DELAY statement.

See Also:
  Constant Field Values

#### DATABASE_EVENT_LISTENER

    public static final int DATABASE_EVENT_LISTENER

The type of a SET DATABASE_EVENT_LISTENER statement.

See Also:
  Constant Field Values

#### MAX_MEMORY_ROWS

    public static final int MAX_MEMORY_ROWS

The type of a SET MAX_MEMORY_ROWS statement.

See Also:
  Constant Field Values

#### LOCK_MODE

    public static final int LOCK_MODE

The type of a SET LOCK_MODE statement.

See Also:
  Constant Field Values

#### DB_CLOSE_DELAY

    public static final int DB_CLOSE_DELAY

The type of a SET DB_CLOSE_DELAY statement.

See Also:
  Constant Field Values

#### THROTTLE

    public static final int THROTTLE

The type of a SET THROTTLE statement.

See Also:
  Constant Field Values

#### MAX_MEMORY_UNDO

    public static final int MAX_MEMORY_UNDO

The type of a SET MAX_MEMORY_UNDO statement.

See Also:
  Constant Field Values

#### MAX_LENGTH_INPLACE_LOB

    public static final int MAX_LENGTH_INPLACE_LOB

The type of a SET MAX_LENGTH_INPLACE_LOB statement.

See Also:
  Constant Field Values

#### ALLOW_LITERALS

    public static final int ALLOW_LITERALS

The type of a SET ALLOW_LITERALS statement.

See Also:
  Constant Field Values

#### SCHEMA

    public static final int SCHEMA

The type of a SET SCHEMA statement.

See Also:
  Constant Field Values

#### OPTIMIZE_REUSE_RESULTS

    public static final int OPTIMIZE_REUSE_RESULTS

The type of a SET OPTIMIZE_REUSE_RESULTS statement.

See Also:
  Constant Field Values

#### SCHEMA_SEARCH_PATH

    public static final int SCHEMA_SEARCH_PATH

The type of a SET SCHEMA_SEARCH_PATH statement.

See Also:
  Constant Field Values

#### REFERENTIAL_INTEGRITY

    public static final int REFERENTIAL_INTEGRITY

The type of a SET REFERENTIAL_INTEGRITY statement.

See Also:
  Constant Field Values

#### MAX_OPERATION_MEMORY

    public static final int MAX_OPERATION_MEMORY

The type of a SET MAX_OPERATION_MEMORY statement.

See Also:
  Constant Field Values

#### EXCLUSIVE

    public static final int EXCLUSIVE

The type of a SET EXCLUSIVE statement.

See Also:
  Constant Field Values

#### CREATE_BUILD

    public static final int CREATE_BUILD

The type of a SET CREATE_BUILD statement.

See Also:
  Constant Field Values

#### VARIABLE

    public static final int VARIABLE

The type of a SET \@VARIABLE statement.

See Also:
  Constant Field Values

#### QUERY_TIMEOUT

    public static final int QUERY_TIMEOUT

The type of a SET QUERY_TIMEOUT statement.

See Also:
  Constant Field Values

#### REDO_LOG_BINARY

    public static final int REDO_LOG_BINARY

The type of a SET REDO_LOG_BINARY statement.

See Also:
  Constant Field Values

#### JAVA_OBJECT_SERIALIZER

    public static final int JAVA_OBJECT_SERIALIZER

The type of a SET JAVA_OBJECT_SERIALIZER statement.

See Also:
  Constant Field Values

#### RETENTION_TIME

    public static final int RETENTION_TIME

The type of a SET RETENTION_TIME statement.

See Also:
  Constant Field Values

#### QUERY_STATISTICS

    public static final int QUERY_STATISTICS

The type of a SET QUERY_STATISTICS statement.

See Also:
  Constant Field Values

#### QUERY_STATISTICS_MAX_ENTRIES

    public static final int QUERY_STATISTICS_MAX_ENTRIES

The type of a SET QUERY_STATISTICS_MAX_ENTRIES statement.

See Also:
  Constant Field Values

#### FORCE_JOIN_ORDER

    public static final int FORCE_JOIN_ORDER

The type of SET FORCE_JOIN_ORDER statement.

See Also:
  Constant Field Values

#### LAZY_QUERY_EXECUTION

    public static final int LAZY_QUERY_EXECUTION

The type of SET LAZY_QUERY_EXECUTION statement.

See Also:
  Constant Field Values

#### BUILTIN_ALIAS_OVERRIDE

    public static final int BUILTIN_ALIAS_OVERRIDE

The type of SET BUILTIN_ALIAS_OVERRIDE statement.

See Also:
  Constant Field Values

#### AUTHENTICATOR

    public static final int AUTHENTICATOR

The type of a SET AUTHENTICATOR statement.

See Also:
  Constant Field Values

#### IGNORE_CATALOGS

    public static final int IGNORE_CATALOGS

The type of a SET IGNORE_CATALOGS statement.

See Also:
  Constant Field Values

#### CATALOG

    public static final int CATALOG

The type of a SET CATALOG statement.

See Also:
  Constant Field Values

#### NON_KEYWORDS

    public static final int NON_KEYWORDS

The type of a SET NON_KEYWORDS statement.

See Also:
  Constant Field Values

#### TIME_ZONE

    public static final int TIME_ZONE

The type of a SET TIME ZONE statement.

See Also:
  Constant Field Values

#### VARIABLE_BINARY

    public static final int VARIABLE_BINARY

The type of a SET VARIABLE_BINARY statement.

See Also:
  Constant Field Values

#### DEFAULT_NULL_ORDERING

    public static final int DEFAULT_NULL_ORDERING

The type of a SET DEFAULT_NULL_ORDERING statement.

See Also:
  Constant Field Values

#### TRUNCATE_LARGE_LENGTH

    public static final int TRUNCATE_LARGE_LENGTH

The type of a SET TRUNCATE_LARGE_LENGTH statement.

See Also:
  Constant Field Values

### Method Detail

#### getType

    public static int getType(java.lang.String name)

Get the set type number.

Parameters:
  `name` - the set type name
Returns:
  the number

#### getTypes

    public static java.util.ArrayList<java.lang.String> getTypes()

#### getTypeName

    public static java.lang.String getTypeName(int type)

Get the set type name.

Parameters:
  `type` - the type number
Returns:
  the name